%global _version 19.0.52
%global _variation 7
%global _smp_mflags -j6
%global _debug 0
%define __find_requires %{nil}
%define __find_provides %{nil}

%if 0%{?fedora} >= 15
%global tmpfilesd 1
%else
%global tmpfilesd 0
%endif

Name:    MediaCenter
Version:	%{_version}
Release: %{?_variation:%{_variation}}%{?_cert:.cert%{_cert}}%{?_rc:.rc%{_rc}}%{?_beta:.beta%{_beta}}
Summary: JRiver MediaCenter
Group:   Applications/Media
License: Copyright 1998-2013, JRiver, Inc.  All rights reserved.  Protected by U.S. patents #7076468 and #7062468
URL:     http://www.jriver.com/
Source0: http://files.jriver.com/mediacenter/channels/v19/latest/MediaCenter-%{_version}.deb
Source1: http://files.jriver.com/mediacenter/channels/v19/latest/libcurl.so.4.3.0
Source2: http://files.jriver.com/mediacenter/channels/v19/latest/mediacenter-i386.conf
Source3: http://files.jriver.com/mediacenter/channels/v19/latest/mediacenter.desktop

BuildRequires: rpm >= 4.7.2-2
BuildRequires: dpkg

Autoreq: 0
Requires: libcurl libnotify librtmp lame
Requires: libX11 libX11-common libxcb libXau libXdmcp
Requires: xorg-x11-fonts-75dpi xorg-x11-fonts-100dpi
Requires: xorg-x11-fonts-ISO8859-1-75dpi xorg-x11-fonts-ISO8859-1-100dpi

%description
Media Center is
More than a world class player. It's also a Media Network, a whole house music, movie, TV, and photo solution.
The leader in audiophile quality sound.
The most powerful media database available; an essential tool for large collections
An endless source of satisfaction for tweakers and developers

Media Center plays
More file formats than any other player
Connected media from Last.fm, Netflix, Hulu, and Youtube. And it sends to Flickr, Facebook, and Twitter.
Supports more cell phones, MP3 players, DLNA, and other devices
Powers an HTPC to entertain your family. Even different playback in multiple zones. J River Media Center

%prep

%build

%install
rm -rf %{buildroot}
dpkg -x %{S:0} %{buildroot}
cp %{S:1} %{buildroot}/usr/lib/jriver/Media\ Center\ 19
cd %{buildroot}/usr/lib/jriver/Media\ Center\ 19
ln -rs libcurl.so.4.3.0 libcurl.so.4
ln -rs libcurl.so.4 libcurl.so
mkdir -p %{buildroot}/etc/ld.so.conf.d
cp %{S:2} %{buildroot}/etc/ld.so.conf.d
mkdir -p %{buildroot}/usr/share/applications
cp %{S:3} %{buildroot}/usr/share/applications

%clean
rm -rf %{buildroot}

%post
ldconfig

%postun
ldconfig

%files
%{_bindir}/mediacenter
"%{_libdir}/jriver/Media Center 19"
/usr/share/applications/mediacenter.desktop
%config %{_sysconfdir}/ld.so.conf.d/mediacenter-i386.conf


